Bug 216724 - www/drupal7: Update to 7.54
Summary: www/drupal7: Update to 7.54
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-02 11:42 UTC by Jochen Neumeister
Modified: 2017-02-07 20:37 UTC (History)
1 user (show)

See Also:


Attachments
Patch (110.07 KB, patch)
2017-02-02 11:42 UTC, Jochen Neumeister
joneum: maintainer-approval+
Details | Diff
Patch (110.31 KB, patch)
2017-02-03 08:37 UTC, Jochen Neumeister
joneum: maintainer-approval+
Details | Diff
Patch (2.60 KB, patch)
2017-02-05 16:19 UTC, Jochen Neumeister
joneum: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jochen Neumeister freebsd_committer 2017-02-02 11:42:01 UTC
Created attachment 179525 [details]
Patch

Maintenance release of the Drupal 7 series. Includes a variety of improvements and bug fixes (no major, non-backwards-compatible new functionality).

No security fixes are included in this release.

Three change records are associated with the 7.54 release:

    Modules can now define theme engines
    Drupal 7 adds menu tree render structure to (pre-)process hooks for theme_menu_tree()
    New drupal_is_https() API function added

Except for documentation additions, no changes have been made to the .htaccess, web.config, robots.txt, and default settings.php files in this release, so upgrading custom versions of those files is not necessary.

poudriere build fine for:
9.3 amd + i386
10.3 amd + i386
12-current amd + i386 (r303738)

portlint is also fine.


Cheers
jochen
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-02-02 13:45:55 UTC
I noticed that %%DRUPAL_BASE%% in PLIST has been replaced by %%WWWDIR%%. Though their defaults are the same, is this change intentional?
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-02-02 13:58:57 UTC
Besides, please consider the following suggestion:
- Add LICENSE_FILE knob which points to license file (LICENSE.txt) in WRKSRC.
- Remove LICENSE.txt from PORTDOCS since it's already installed by license framework.
- Move PORTDOCS out of the @owner/@group section since those documentations are not used for web access (www:www).
Thanks!
Comment 3 Jochen Neumeister freebsd_committer 2017-02-03 07:48:14 UTC
(In reply to Po-Chuan Hsieh from comment #1)
This change has made "make makeplist". Is it bad? Then I change that again.

>- Move PORTDOCS out of the @owner/@group section since those documentations are >not used for web access (www:www).

I am wondering about. This is a long time. No committer has said so far. Why? Is there any documentation about this so I can do it right in the future?

With LICENSE I will look at the same and correct. Thanks for your hints.
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-02-03 07:54:47 UTC
(In reply to Jochen Neumeister from comment #3)

I would guess that they did not notice that.

In general, PORTDOCS are installed as root:wheel and files in WWWDIR are installed as www:www.
Comment 5 Jochen Neumeister freebsd_committer 2017-02-03 08:37:40 UTC
Created attachment 179557 [details]
Patch

Add LICENSE_FILE= ${WRKSRC}/LICENSE.txt

Remove @ from the pkg-plist
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-02-03 13:29:50 UTC
Please check pkg-plist for the following issues:
- @owner/@group was removed
- %%DRUPAL_BASE%% was replaced by %%WWWDIR%% (see comment #1)
Comment 7 Jochen Neumeister freebsd_committer 2017-02-03 13:38:27 UTC
(In reply to Po-Chuan Hsieh from comment #6)

I notice the move %%WWWDIR%%. Is it a problem? If so, I change it.
Comment 8 Jochen Neumeister freebsd_committer 2017-02-05 16:19:01 UTC
Created attachment 179648 [details]
Patch
Comment 9 Jochen Neumeister freebsd_committer 2017-02-07 08:02:10 UTC
ping sunpoet@FreeBSD.org
Comment 10 commit-hook freebsd_committer 2017-02-07 20:36:11 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Feb  7 20:33:53 UTC 2017
New revision: 433618
URL: https://svnweb.freebsd.org/changeset/ports/433618

Log:
  Update to 7.54

  - Add LICENSE_FILE
  - While I'm here, fix and sort PLIST

  Changes:	https://www.drupal.org/project/drupal/releases/7.54
  PR:		216724
  Submitted by:	Jochen Neumeister <joneum@bsdproject.de> (maintainer)

Changes:
  head/www/drupal7/Makefile
  head/www/drupal7/distinfo
  head/www/drupal7/pkg-plist
Comment 11 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-02-07 20:37:46 UTC
Committed. Thanks!